aboutsummaryrefslogtreecommitdiff
path: root/media/video
diff options
context:
space:
mode:
authorrhatto <rhatto@18ef50b8-d735-4ccd-97c1-689132df3dd9>2008-09-03 03:48:23 +0000
committerrhatto <rhatto@18ef50b8-d735-4ccd-97c1-689132df3dd9>2008-09-03 03:48:23 +0000
commitf067192c38e4af6208b1f35a76f0c952266869f8 (patch)
treed9c6bd428c3bb07de33ec0679d9b25d26d7fd202 /media/video
parent36765ff8fda0ca2f697346e2df6992cd418a1638 (diff)
downloadmkbuilds-f067192c38e4af6208b1f35a76f0c952266869f8.tar.gz
mkbuilds-f067192c38e4af6208b1f35a76f0c952266869f8.tar.bz2
merging with changes made since 21th May
git-svn-id: svn+slack://slack.fluxo.info/var/svn/mkbuilds@233 18ef50b8-d735-4ccd-97c1-689132df3dd9
Diffstat (limited to 'media/video')
-rw-r--r--media/video/cinelerra/cinelerra-altivec.diff49
-rw-r--r--media/video/cinelerra/cinelerra.mkbuild125
-rw-r--r--media/video/dvgrab/dvgrab.mkbuild99
-rw-r--r--media/video/ffmpeg/.SlackBuild204
-rw-r--r--media/video/ffmpeg/.SlackBuild.old204
-rw-r--r--media/video/ffmpeg/ffmpeg.mkbuild131
-rw-r--r--media/video/ffmpeg2theora/ffmpeg2theora.mkbuild95
-rw-r--r--media/video/kino/kino.mkbuild99
-rw-r--r--media/video/mjpegtools/mjpegtools-1.8.0-powerpc.diff11
-rw-r--r--media/video/mjpegtools/mjpegtools-1.8.0.diff11
-rw-r--r--media/video/mjpegtools/mjpegtools-1.9.0rc2-x86_64.diff31
-rw-r--r--media/video/mjpegtools/mjpegtools.mkbuild119
-rw-r--r--media/video/mplayer/MPlayer-1.0rc1.diff31
-rw-r--r--media/video/mplayer/MPlayer.mkbuild142
-rw-r--r--media/video/oggfwd/oggfwd-0.2.diff25
-rw-r--r--media/video/oggfwd/oggfwd.mkbuild98
-rw-r--r--media/video/theorur/theorur.mkbuild90
-rw-r--r--media/video/ucview/slack-required3
-rw-r--r--media/video/ucview/ucview.mkbuild169
19 files changed, 1736 insertions, 0 deletions
diff --git a/media/video/cinelerra/cinelerra-altivec.diff b/media/video/cinelerra/cinelerra-altivec.diff
new file mode 100644
index 0000000..cf4f57d
--- /dev/null
+++ b/media/video/cinelerra/cinelerra-altivec.diff
@@ -0,0 +1,49 @@
+Index: quicktime/ffmpeg/libavcodec/Makefile.am
+===================================================================
+--- quicktime/ffmpeg/libavcodec/Makefile.am (revision 958)
++++ quicktime/ffmpeg/libavcodec/Makefile.am (working copy)
+@@ -11,6 +11,9 @@
+ if TARGET_ARCH_POWERPC
+ MM_DIR = ppc
+ MM_LIB = ppc/libavcodecppc.la
++## if TARGET_ALTIVEC
++MM_FLAGS = -DHAVE_ALTIVEC -maltivec -mabi=altivec
++## endif
+ endif
+
+ SUBDIRS = $(MM_DIR)
+Index: quicktime/ffmpeg/libavcodec/ppc/Makefile.am
+===================================================================
+--- quicktime/ffmpeg/libavcodec/ppc/Makefile.am (revision 958)
++++ quicktime/ffmpeg/libavcodec/ppc/Makefile.am (working copy)
+@@ -1,15 +1,27 @@
+ noinst_LTLIBRARIES = libavcodecppc.la
+
++# experimental code for altivec:
++## if TARGET_ALTIVEC
++ALTIVEC_FLAGS = -maltivec -mabi=altivec -DHAVE_ALTIVEC
++ALTIVEC_FILES = dsputil_altivec.c dsputil_h264_altivec.c fft_altivec.c gmc_altivec.c fdct_altivec.c idct_altivec.c mpegvideo_altivec.c
++## else
++## ALTIVEC_FLAGS =
++## ALTIVEC_FILES =
++## endif
++
++
+ # special options needed due to scarcity of registers
+ AM_CFLAGS = \
+ $(LARGEFILE_CFLAGS) \
+ $(CPU_CFLAGS) \
++ $(ALTIVEC_FLAGS) \
+ -O3 -prefer-non-pic \
+ -D_GNU_SOURCE -DHAVE_AV_CONFIG_H -I$(srcdir)/../..
+
+ libavcodecppc_la_SOURCES = \
+- dsputil_ppc.c mpegvideo_ppc.c
++ dsputil_ppc.c mpegvideo_ppc.c \
++ $(ALTIVEC_FILES)
+
+-EXTRA_DIST = dsputil_ppc.c \
+- mpegvideo_ppc.c
++EXTRA_DIST = dsputil_h264_template_altivec.c \
++ dsputil_altivec.h dsputil_ppc.h
+
diff --git a/media/video/cinelerra/cinelerra.mkbuild b/media/video/cinelerra/cinelerra.mkbuild
new file mode 100644
index 0000000..0fd8721
--- /dev/null
+++ b/media/video/cinelerra/cinelerra.mkbuild
@@ -0,0 +1,125 @@
+#
+# This mkbuild is free software; you can redistribute it and/or modify it under the
+# terms of the GNU General Public License as published by the Free Software
+# Foundation; either version 2 of the License, or any later version.
+#
+# This mkbuild is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place - Suite 330, Boston, MA 02111-1307, USA
+#
+
+#--------------------
+# Personal variables
+#--------------------
+# Author name
+[[SLACKBUILD AUTHOR]]="Silvio Rhatto"
+
+# Initials author name
+[[SLACKBUILD AUTHOR INITIALS]]="rha"
+
+#------------------------
+# Construction Variables
+#------------------------
+#
+# Complete URL address or URL base address ( without $SRC_NAME-$VERSION... )
+[[DOWNLOAD FOLDER URL]]="svn://svn.skolelinux.org/cinelerra/trunk/hvirtual"
+
+# Source base name. if different from PKG_NAME name. Null ("") to default value.
+[[SOURCE NAME]]="cinelerra"
+
+# Package name. Null ("") to auto-set
+# Auto-set, get PKG_NAME from URL downcase(SRC_NAME): http://.../$SRC_NAME-$VERSION.tar.$EXTENSION'
+[[PACKAGE NAME]]="cinelerra"
+
+#
+# PKG_NAME version. Null ("") to auto-set.
+[[VERSION]]="svn_version"
+
+#
+# Dependency list input
+[[SLACK REQUIRED]]="openexr: libdv: libx264: mjpegtools: fftw: liba52: lame: libsndfile: faac: faad2: libraw1394: libiec61883: libavc1394"
+
+#
+# Documentation files
+[[DOCUMENTATION FILES]]="AUTHORS COPYING ChangeLog INSTALL LICENSE NEWS README TODO"
+
+# SlackBuild model
+[[SLACKBUILD MODEL]]="generic.mkSlackBuild"
+
+# SlackBuild PATH in Slack.Sarava tree
+[[SLACKBUILD PATH]]="media/viddeo/cinelerra"
+
+#---------------------
+# SlackBuild Sections
+#---------------------
+# Default sections:
+# head, set_variables, slkflags, start_structure, untar_source,
+# make_package, install_package, build_package
+# Warning: don't remove '#>>' and "#<<" tags.
+#>> Start SlackBuild Sections:
+ on: head
+ on: slackbuildrc
+ on: set_variables
+ on: slkflags
+ on: error_codes
+ on: start_structure
+off: create_build_user_and_group
+off: download_source
+ on: svn_source
+off: md5sum_download_and_check_0
+off: md5sum_download_and_check_1
+off: gpg_signature_check
+off: untar_source
+ on: patch_source
+ on: configure
+ on: make_package
+ on: install_package
+ on: strip_binaries
+off: compress_manpages
+off: compress_info_files
+off: copy_init_scripts
+off: copy_config_files
+ on: install_documentation
+ on: slackdesc
+off: move_config_files
+off: postinstall_script
+ on: build_package
+ on: clean_builds
+#<< End SlackBuild Sections
+
+#------------------
+# Sections changes
+#------------------
+#>slackdesc
+cinelerra: cinelerra (cinelerra is powerfull Non Linear Video Editor)
+cinelerra:
+cinelerra: Heroine Virtual Ltd. presents an advanced content creation system
+cinelerra: for Linux. Cinelerra takes what normally is a boring server - studied
+cinelerra: in computer science classrooms, hidden in back offices - and turns it
+cinelerra: into a 50,000 watt flamethrower of multimedia editing.
+cinelerra:
+cinelerra: This version is the cv.cinelerra.org branch (in fact, a fork).
+cinelerra:
+cinelerra: http://cv.cinelerra.org/
+cinelerra:
+#<slackdesc
+
+#p>
+ # Configure
++if [ "$ARCH" == "i586" ] || [ "$ARCH" == "i686" ]; then
++ CONF_OPTIONS="$CONF_OPTIONS --enable-mmx"
++fi
++
++if [ "$HAVE_ALTIVEC" == "true" ]; then
++ CONF_OPTIONS="$CONF_OPTIONS --enable-altivec"
++ if [ -f "$CWD/$PACKAGE-altivec.diff" ]; then
++ patch -p0 < $CWD/$PACKAGE-altivec.diff || exit $ERROR_PATCH
++ fi
++fi
++
++./autogen.sh || exit $ERROR_CONF
+#<p
diff --git a/media/video/dvgrab/dvgrab.mkbuild b/media/video/dvgrab/dvgrab.mkbuild
new file mode 100644
index 0000000..0a7fa32
--- /dev/null
+++ b/media/video/dvgrab/dvgrab.mkbuild
@@ -0,0 +1,99 @@
+#
+# This mkbuild is free software; you can redistribute it and/or modify it under the
+# terms of the GNU General Public License as published by the Free Software
+# Foundation; either version 2 of the License, or any later version.
+#
+# This mkbuild is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place - Suite 330, Boston, MA 02111-1307, USA
+#
+
+#--------------------
+# Personal variables
+#--------------------
+# Author name
+[[SLACKBUILD AUTHOR]]="Silvio Rhatto"
+
+# Initials author name
+[[SLACKBUILD AUTHOR INITIALS]]="rha"
+
+#------------------------
+# Construction Variables
+#------------------------
+#
+# Complete URL address or URL base address ( without $SRC_NAME-$VERSION... )
+[[DOWNLOAD FOLDER URL]]="http://downloads.sourceforge.net/kino/dvgrab-3.1.tar.gz"
+
+#
+# Documentation files. Null ("") to auto-set commom doc-files:
+[[DOCUMENTATION FILES]]="AUTHORS COPYING ChangeLog INSTALL NEWS README TODO"
+
+# Other configure arguments
+[[OTHER CONFIGURE ARGS]]="--with-docdir=/usr/doc/$PKG_NAME-$VERSION"
+
+# SlackBuild model
+[[SLACKBUILD MODEL]]="generic.mkSlackBuild"
+
+# SlackBuild PATH in Slack.Sarava tree
+[[SLACKBUILD PATH]]="media/video/dvgrab"
+
+#
+# Dependency list input
+[[SLACK REQUIRED]]="libraw1394: libavc1394: libiec61883: libdv"
+
+#---------------------
+# SlackBuild Sections
+#---------------------
+# Default sections:
+# head, set_variables, slkflags, start_structure, untar_source,
+# make_package, install_package, build_package
+# Warning: don't remove '#>>' and "#<<" tags.
+#>> Start SlackBuild Sections:
+ on: head
+ on: slackbuildrc
+ on: set_variables
+ on: slkflags
+ on: error_codes
+ on: start_structure
+off: create_build_user_and_group
+ on: download_source
+off: md5sum_download_and_check_0
+off: md5sum_download_and_check_1
+off: gpg_signature_check
+ on: untar_source
+ on: patch_source
+ on: configure
+ on: make_package
+ on: install_package
+ on: strip_binaries
+off: compress_manpages
+off: compress_info_files
+off: copy_init_scripts
+ on: install_documentation
+ on: slackdesc
+off: move_config_files
+off: postinstall_script
+ on: build_package
+ on: clean_builds
+#<< End SlackBuild Sections
+
+#------------------
+# Sections changes
+#------------------
+#>slackdesc
+dvgrab: dvgrab (dvgrab is a ieee1394 dv grabber)
+dvgrab:
+dvgrab: Excellent command line audio and video DV grabber data via IEEE1394
+dvgrab:
+dvgrab:
+dvgrab:
+dvgrab:
+dvgrab:
+dvgrab:
+dvgrab:
+dvgrab:
+#<slackdesc
diff --git a/media/video/ffmpeg/.SlackBuild b/media/video/ffmpeg/.SlackBuild
new file mode 100644
index 0000000..a0f267e
--- /dev/null
+++ b/media/video/ffmpeg/.SlackBuild
@@ -0,0 +1,204 @@
+#!/bin/bash
+#
+# .SlackBuild is free software; you can redistribute
+# it and/or modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the License,
+# or any later version.
+#
+# .SlackBuild is distributed in the hope that it will
+# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# slackbuild for , by Silvio Rhatto
+# requires: lame faac libx264
+# tested: -
+#
+
+# Look for slackbuildrc
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# Set variables
+CWD="$(pwd)"
+SRC_NAME=""
+PKG_NAME=""
+ARCH=${ARCH:=i486}
+SRC_VERSION=${VERSION:=}
+PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
+TMP=${TMP:=/tmp}
+PKG=${PKG:=$TMP/package-$PKG_NAME}
+REPOS=${REPOS:=$TMP}
+PREFIX=${PREFIX:=/usr}
+PKG_WORK="$TMP/$SRC_NAME"
+CONF_OPTIONS=${CONF_OPTIONS:="$EXTRA_AC_FLAGS --enable-shared --enable-pthreads --enable-swscale --enable-x11grab --enable-libmp3lame --enable-libvorbis --enable-libtheora --enable-libfaac --enable-libx264 --enable-postproc --enable-gpl"}
+NUMJOBS=${NUMJOBS:=""}
+
+# Set system libraries' path and optmization flags based on $ARCH
+LIBDIR="$PREFIX/lib"
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIR="$PREFIX/lib64"
+ LDFLAGS="-L/lib64 -L/usr/lib64"
+fi
+
+# Set error codes (used by createpkg)
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41; ERROR_MKDIR=42
+
+# Clean up any leftovers of previous builds
+rm -rf "$PKG_WORK" 2> /dev/null
+rm -rf "$PKG" 2> /dev/null
+
+# Create directories if necessary
+mkdir -p "$SRC_DIR" || exit $ERROR_MKDIR
+mkdir -p "$PKG" || exit $ERROR_MKDIR
+mkdir -p "$REPOS" || exit $ERROR_MKDIR
+mkdir -p "$PKG_WORK" || exit $ERROR_MKDIR
+
+# Get svn source code
+cd "$SRC_DIR"
+SND_DIR="`basename svn://svn.mplayerhq.hu/ffmpeg/trunk`"
+
+if [ "`find "$SRC_DIR/" -name .svn`" != "" ] && [ -d "$SRC_DIR/$SND_DIR" ]; then
+ cd $SND_DIR
+ svn update || exit $ERROR_VCS
+else
+ svn checkout svn://svn.mplayerhq.hu/ffmpeg/trunk $SND_DIR || exit $ERROR_VCS
+ cd $SND_DIR
+fi
+
+PKG_VERSION="`svn info | awk '/Last Changed Rev:/ { print $4 }'`_svn"
+
+# Copy svn source
+cd "$PKG_WORK"
+cp -a $SRC_DIR/* .
+PKG_SRC="$PWD/$SND_DIR"
+cd "$PKG_SRC"
+
+# Patch source
+patches="
+ $PKG_NAME.diff $PKG_NAME-$PKG_VERSION.diff
+ $PKG_NAME-$PKG_VERSION-$ARCH.diff $PKG_NAME-$ARCH.diff"
+for patch in $patches; do
+ if [ -f "$CWD/$patch" ]; then
+ patch -Np1 < "$CWD/$patch" || exit $ERROR_PATCH
+ elif [ -f "$CWD/patches/$patch" ]; then
+ patch -Np1 < "$CWD/patches/$patch" || exit $ERROR_PATCH
+ elif [ -f "$CWD/$patch.gz" ]; then
+ gzip -dc "$CWD/$patch.gz" | patch -Np1 || exit $ERROR_PATCH
+ elif [ -f "$CWD/patches/$patch.gz" ]; then
+ gzip -dc "$CWD/patches/$patch.gz" | patch -Np1 || exit $ERROR_PATCH
+ fi
+done
+
+if echo [[PATCH URLS]] | grep -q -v "PATCH URLS"; then
+ for patch_url in [[PATCH URLS]]; do
+ patch="`basename $patch_url`"
+ if [ ! -s "$SRC_DIR/$patch" ]; then
+ wget "$patch_url" -O "$SRC_DIR/$patch" || exit $ERROR_WGET
+ fi
+ if [ "`basename $patch .gz`" != "$patch" ]; then
+ gzip -dc $SRC_DIR/$patch | patch -Np1 || exit $ERROR_PATCH
+ elif [ "`basename $patch .bz2`" != "$patch" ]; then
+ bzip2 -dc $SRC_DIR/$patch | patch -Np1 || exit $ERROR_PATCH
+ else
+ patch -Np1 < "$SRC_DIR/$patch" || exit $ERROR_PATCH
+ fi
+ done
+fi
+
+# Configure
+if [ "$ARCH" == "powerpc" ]; then
+ EXTRA_AC_FLAGS="--disable-altivec"
+fi
+CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
+
+# Compile
+make $NUMJOBS || exit $ERROR_MAKE
+
+# Install
+make install DESTDIR="$PKG" || exit $ERROR_INSTALL
+
+# Lets make our package compatible with the ffmpeg debian package
+mkdir $PKG/usr/include/ffmpeg
+cp $PKG/usr/include/libavutil/* $PKG/usr/include/ffmpeg
+cp $PKG/usr/include/libavdevice/* $PKG/usr/include/ffmpeg
+cp $PKG/usr/include/libavformat/* $PKG/usr/include/ffmpeg
+cp $PKG/usr/include/libswscale/* $PKG/usr/include/ffmpeg
+cp $PKG/usr/include/libavcodec/* $PKG/usr/include/ffmpeg
+mkdir $PKG/usr/include/postproc
+cp $PKG/usr/include/libpostproc/* $PKG/usr/include/postproc
+
+# Strip binaries
+( cd "$PKG"
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Install documentation
+DOCS="COPYING CREDITS Changelog MAINTAINERS README"
+mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
+for doc in $DOCS; do
+ if [ -f "$doc" ]; then
+ cp -a $doc "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
+ fi
+done
+
+# Add package description (slack-desc)
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+cat << EODESC > "$PKG/install/slack-desc"
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+|-----handy-ruler-------------------------------------------------------------|
+ffmpeg: ffmpeg (ffmpeg multimedia system)
+ffmpeg:
+ffmpeg: FFmpeg is a complete solution to record, convert and stream audio
+ffmpeg: and video. It includes libavcodec, the leading audio/video codec
+ffmpeg: library.
+ffmpeg:
+ffmpeg:
+ffmpeg:
+ffmpeg:
+ffmpeg:
+ffmpeg:
+EODESC
+
+# Build the package
+cd "$PKG"
+makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
+
+# Delete source and build directories if requested
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf "$PKG_WORK" "$PKG"
+fi
diff --git a/media/video/ffmpeg/.SlackBuild.old b/media/video/ffmpeg/.SlackBuild.old
new file mode 100644
index 0000000..e0f1427
--- /dev/null
+++ b/media/video/ffmpeg/.SlackBuild.old
@@ -0,0 +1,204 @@
+#!/bin/bash
+#
+# .SlackBuild is free software; you can redistribute
+# it and/or modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the License,
+# or any later version.
+#
+# .SlackBuild is distributed in the hope that it will
+# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# slackbuild for , by Silvio Rhatto
+# requires: lame libx264
+# tested: -
+#
+
+# Look for slackbuildrc
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# Set variables
+CWD="$(pwd)"
+SRC_NAME=""
+PKG_NAME=""
+ARCH=${ARCH:=i486}
+SRC_VERSION=${VERSION:=}
+PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
+TMP=${TMP:=/tmp}
+PKG=${PKG:=$TMP/package-$PKG_NAME}
+REPOS=${REPOS:=$TMP}
+PREFIX=${PREFIX:=/usr}
+PKG_WORK="$TMP/$SRC_NAME"
+CONF_OPTIONS=${CONF_OPTIONS:="$EXTRA_AC_FLAGS --enable-shared --enable-pthreads --enable-swscale --enable-x11grab --enable-libmp3lame --enable-libvorbis --enable-libtheora --enable-libfaac --enable-libx264 --enable-postproc --enable-gpl"}
+NUMJOBS=${NUMJOBS:=""}
+
+# Set system libraries' path and optmization flags based on $ARCH
+LIBDIR="$PREFIX/lib"
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIR="$PREFIX/lib64"
+ LDFLAGS="-L/lib64 -L/usr/lib64"
+fi
+
+# Set error codes (used by createpkg)
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41; ERROR_MKDIR=42
+
+# Clean up any leftovers of previous builds
+rm -rf "$PKG_WORK" 2> /dev/null
+rm -rf "$PKG" 2> /dev/null
+
+# Create directories if necessary
+mkdir -p "$SRC_DIR" || exit $ERROR_MKDIR
+mkdir -p "$PKG" || exit $ERROR_MKDIR
+mkdir -p "$REPOS" || exit $ERROR_MKDIR
+mkdir -p "$PKG_WORK" || exit $ERROR_MKDIR
+
+# Get svn source code
+cd "$SRC_DIR"
+SND_DIR="`basename svn://svn.mplayerhq.hu/ffmpeg/trunk`"
+
+if [ "`find "$SRC_DIR/" -name .svn`" != "" ] && [ -d "$SRC_DIR/$SND_DIR" ]; then
+ cd $SND_DIR
+ svn update || exit $ERROR_VCS
+else
+ svn checkout svn://svn.mplayerhq.hu/ffmpeg/trunk $SND_DIR || exit $ERROR_VCS
+ cd $SND_DIR
+fi
+
+PKG_VERSION="`svn info | awk '/Last Changed Rev:/ { print $4 }'`_svn"
+
+# Copy svn source
+cd "$PKG_WORK"
+cp -a $SRC_DIR/* .
+PKG_SRC="$PWD/$SND_DIR"
+cd "$PKG_SRC"
+
+# Patch source
+patches="
+ $PKG_NAME.diff $PKG_NAME-$PKG_VERSION.diff
+ $PKG_NAME-$PKG_VERSION-$ARCH.diff $PKG_NAME-$ARCH.diff"
+for patch in $patches; do
+ if [ -f "$CWD/$patch" ]; then
+ patch -Np1 < "$CWD/$patch" || exit $ERROR_PATCH
+ elif [ -f "$CWD/patches/$patch" ]; then
+ patch -Np1 < "$CWD/patches/$patch" || exit $ERROR_PATCH
+ elif [ -f "$CWD/$patch.gz" ]; then
+ gzip -dc "$CWD/$patch.gz" | patch -Np1 || exit $ERROR_PATCH
+ elif [ -f "$CWD/patches/$patch.gz" ]; then
+ gzip -dc "$CWD/patches/$patch.gz" | patch -Np1 || exit $ERROR_PATCH
+ fi
+done
+
+if echo [[PATCH URLS]] | grep -q -v "PATCH URLS"; then
+ for patch_url in [[PATCH URLS]]; do
+ patch="`basename $patch_url`"
+ if [ ! -s "$SRC_DIR/$patch" ]; then
+ wget "$patch_url" -O "$SRC_DIR/$patch" || exit $ERROR_WGET
+ fi
+ if [ "`basename $patch .gz`" != "$patch" ]; then
+ gzip -dc $SRC_DIR/$patch | patch -Np1 || exit $ERROR_PATCH
+ elif [ "`basename $patch .bz2`" != "$patch" ]; then
+ bzip2 -dc $SRC_DIR/$patch | patch -Np1 || exit $ERROR_PATCH
+ else
+ patch -Np1 < "$SRC_DIR/$patch" || exit $ERROR_PATCH
+ fi
+ done
+fi
+
+# Configure
+if [ "$ARCH" == "powerpc" ]; then
+ EXTRA_AC_FLAGS="--disable-altivec"
+fi
+CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
+
+# Compile
+make $NUMJOBS || exit $ERROR_MAKE
+
+# Install
+make install DESTDIR="$PKG" || exit $ERROR_INSTALL
+
+# Lets make our package compatible with the ffmpeg debian package
+mkdir $PKG/usr/include/ffmpeg
+cp $PKG/usr/include/libavutil/* $PKG/usr/include/ffmpeg
+cp $PKG/usr/include/libavdevice/* $PKG/usr/include/ffmpeg
+cp $PKG/usr/include/libavformat/* $PKG/usr/include/ffmpeg
+cp $PKG/usr/include/libswscale/* $PKG/usr/include/ffmpeg
+cp $PKG/usr/include/libavcodec/* $PKG/usr/include/ffmpeg
+mkdir $PKG/usr/include/postproc
+cp $PKG/usr/include/libpostproc/* $PKG/usr/include/postproc
+
+# Strip binaries
+( cd "$PKG"
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Install documentation
+DOCS="COPYING CREDITS Changelog MAINTAINERS README"
+mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
+for doc in $DOCS; do
+ if [ -f "$doc" ]; then
+ cp -a $doc "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
+ fi
+done
+
+# Add package description (slack-desc)
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+cat << EODESC > "$PKG/install/slack-desc"
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+|-----handy-ruler-------------------------------------------------------------|
+ffmpeg: ffmpeg (ffmpeg multimedia system)
+ffmpeg:
+ffmpeg: FFmpeg is a complete solution to record, convert and stream audio
+ffmpeg: and video. It includes libavcodec, the leading audio/video codec
+ffmpeg: library.
+ffmpeg:
+ffmpeg:
+ffmpeg:
+ffmpeg:
+ffmpeg:
+ffmpeg:
+EODESC
+
+# Build the package
+cd "$PKG"
+makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
+
+# Delete source and build directories if requested
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf "$PKG_WORK" "$PKG"
+fi
diff --git a/media/video/ffmpeg/ffmpeg.mkbuild b/media/video/ffmpeg/ffmpeg.mkbuild
new file mode 100644
index 0000000..a5be82c
--- /dev/null
+++ b/media/video/ffmpeg/ffmpeg.mkbuild
@@ -0,0 +1,131 @@
+#
+# This mkbuild is free software; you can redistribute it and/or modify it under the
+# terms of the GNU General Public License as published by the Free Software
+# Foundation; either version 2 of the License, or any later version.
+#
+# This mkbuild is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place - Suite 330, Boston, MA 02111-1307, USA
+#
+
+#--------------------
+# Personal variables
+#--------------------
+# Author name
+[[SLACKBUILD AUTHOR]]="Silvio Rhatto"
+
+# Initials author name
+[[SLACKBUILD AUTHOR INITIALS]]="rha"
+
+#------------------------
+# Construction Variables
+#------------------------
+#
+# Complete URL address or URL base address ( without $SRC_NAME-$VERSION... )
+[[DOWNLOAD FOLDER URL]]="svn://svn.mplayerhq.hu/ffmpeg/trunk"
+
+# Source base name
+[[SOURCE NAME]]="ffmpeg"
+
+# Package name
+[[PACKAGE NAME]]="ffmpeg"
+
+#
+# PKG_NAME version
+[[VERSION]]="svn_version"
+
+#
+# Documentation files
+[[DOCUMENTATION FILES]]="COPYING CREDITS Changelog MAINTAINERS README"
+
+# Other configure arguments
+[[OTHER CONFIGURE ARGS]]="$EXTRA_AC_FLAGS --enable-shared --enable-pthreads --enable-swscale --enable-x11grab --enable-libmp3lame --enable-libvorbis --enable-libtheora --enable-libfaac --enable-libx264 --enable-postproc --enable-gpl"
+
+# SlackBuild model
+[[SLACKBUILD MODEL]]="generic.mkSlackBuild"
+
+# SlackBuild PATH in Slack.Sarava tree
+[[SLACKBUILD PATH]]="media/video/ffmpeg"
+
+# Dependencies
+[[SLACK REQUIRED]]="lame: faac: libx264"
+
+#---------------------
+# SlackBuild Sections
+#---------------------
+# Default sections:
+# head, set_variables, slkflags, start_structure, untar_source,
+# make_package, install_package, build_package
+# Warning: don't remove '#>>' and "#<<" tags.
+#>> Start SlackBuild Sections:
+ on: head
+ on: slackbuildrc
+ on: set_variables
+ on: slkflags
+ on: error_codes
+ on: start_structure
+off: create_build_user_and_group
+off: download_source
+ on: svn_source
+off: md5sum_download_and_check_0
+off: md5sum_download_and_check_1
+off: gpg_signature_check
+off: untar_source
+ on: patch_source
+ on: configure
+ on: make_package
+ on: install_package
+ on: strip_binaries
+off: compress_manpages
+off: compress_info_files
+off: copy_init_scripts
+ on: install_documentation
+ on: slackdesc
+off: move_config_files
+off: postinstall_script
+ on: build_package
+ on: clean_builds
+#<< End SlackBuild Sections
+
+#------------------
+# Sections changes
+#------------------
+#>slackdesc
+ffmpeg: ffmpeg (ffmpeg multimedia system)
+ffmpeg:
+ffmpeg: FFmpeg is a complete solution to record, convert and stream audio
+ffmpeg: and video. It includes libavcodec, the leading audio/video codec
+ffmpeg: library.
+ffmpeg:
+ffmpeg:
+ffmpeg:
+ffmpeg:
+ffmpeg:
+ffmpeg:
+#<slackdesc
+
+#>install_package
+# Install
+make install DESTDIR="$PKG" || exit $ERROR_INSTALL
+
+# Lets make our package compatible with the ffmpeg debian package
+mkdir $PKG/usr/include/ffmpeg
+cp $PKG/usr/include/libavutil/* $PKG/usr/include/ffmpeg
+cp $PKG/usr/include/libavdevice/* $PKG/usr/include/ffmpeg
+cp $PKG/usr/include/libavformat/* $PKG/usr/include/ffmpeg
+cp $PKG/usr/include/libswscale/* $PKG/usr/include/ffmpeg
+cp $PKG/usr/include/libavcodec/* $PKG/usr/include/ffmpeg
+mkdir $PKG/usr/include/postproc
+cp $PKG/usr/include/libpostproc/* $PKG/usr/include/postproc
+#<install_package
+
+#p>
+ # Configure
++if [ "$ARCH" == "powerpc" ]; then
++ EXTRA_AC_FLAGS="--disable-altivec"
++fi
+#p<
diff --git a/media/video/ffmpeg2theora/ffmpeg2theora.mkbuild b/media/video/ffmpeg2theora/ffmpeg2theora.mkbuild
new file mode 100644
index 0000000..4119ba9
--- /dev/null
+++ b/media/video/ffmpeg2theora/ffmpeg2theora.mkbuild
@@ -0,0 +1,95 @@
+#
+# This mkbuild is free software; you can redistribute it and/or modify it under the
+# terms of the GNU General Public License as published by the Free Software
+# Foundation; either version 2 of the License, or any later version.
+#
+# This mkbuild is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place - Suite 330, Boston, MA 02111-1307, USA
+#
+
+#--------------------
+# Personal variables
+#--------------------
+# Author name
+[[SLACKBUILD AUTHOR]]="Silvio Rhatto"
+
+# Initials author name
+[[SLACKBUILD AUTHOR INITIALS]]="rha"
+
+#------------------------
+# Construction Variables
+#------------------------
+#
+# Complete URL address or URL base address ( without $SRC_NAME-$VERSION... )
+[[DOWNLOAD FOLDER URL]]="http://v2v.cc/~j/ffmpeg2theora/ffmpeg2theora-0.21.tar.bz2"
+
+#
+# Documentation files. Null ("") to auto-set commom doc-files:
+[[DOCUMENTATION FILES]]="AUTHORS COPYING ChangeLog NEWS README TODO"
+
+# SlackBuild model
+[[SLACKBUILD MODEL]]="generic.mkSlackBuild"
+
+# SlackBuild PATH in Slack.Sarava tree
+[[SLACKBUILD PATH]]="media/video/ffmpeg2theora"
+
+# Dependencies
+[[SLACK REQUIRED]]="ffmpeg"
+
+#---------------------
+# SlackBuild Sections
+#---------------------
+# Default sections:
+# head, set_variables, slkflags, start_structure, untar_source,
+# make_package, install_package, build_package
+# Warning: don't remove '#>>' and "#<<" tags.
+#>> Start SlackBuild Sections:
+ on: head
+ on: slackbuildrc
+ on: set_variables
+ on: slkflags
+ on: error_codes
+ on: start_structure
+off: create_build_user_and_group
+ on: download_source
+off: md5sum_download_and_check_0
+off: md5sum_download_and_check_1
+off: gpg_signature_check
+ on: untar_source
+ on: patch_source
+ on: configure
+ on: make_package
+ on: install_package
+ on: strip_binaries
+off: compress_manpages
+off: compress_info_files
+off: copy_init_scripts
+ on: install_documentation
+ on: slackdesc
+off: move_config_files
+off: postinstall_script
+ on: build_package
+ on: clean_builds
+#<< End SlackBuild Sections
+
+#------------------
+# Sections changes
+#------------------
+#>slackdesc
+ffmpeg2theora: ffmpeg2theora
+ffmpeg2theora:
+ffmpeg2theora: A simple converter to create Ogg Theora files.
+ffmpeg2theora:
+ffmpeg2theora:
+ffmpeg2theora:
+ffmpeg2theora:
+ffmpeg2theora:
+ffmpeg2theora:
+ffmpeg2theora:
+ffmpeg2theora:
+#<slackdesc
diff --git a/media/video/kino/kino.mkbuild b/media/video/kino/kino.mkbuild
new file mode 100644
index 0000000..c4b0343
--- /dev/null
+++ b/media/video/kino/kino.mkbuild
@@ -0,0 +1,99 @@
+#
+# This mkbuild is free software; you can redistribute it and/or modify it under the
+# terms of the GNU General Public License as published by the Free Software
+# Foundation; either version 2 of the License, or any later version.
+#
+# This mkbuild is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place - Suite 330, Boston, MA 02111-1307, USA
+#
+
+#--------------------
+# Personal variables
+#--------------------
+# Author name
+[[SLACKBUILD AUTHOR]]="Silvio Rhatto"
+
+# Initials author name
+[[SLACKBUILD AUTHOR INITIALS]]="rha"
+
+#------------------------
+# Construction Variables
+#------------------------
+#
+# Complete URL address or URL base address ( without $SRC_NAME-$VERSION... )
+[[DOWNLOAD FOLDER URL]]="http://downloads.sourceforge.net/kino/kino-1.3.0.tar.gz"
+
+#
+# Documentation files. Null ("") to auto-set commom doc-files:
+[[DOCUMENTATION FILES]]="ABOUT-NLS BUGS AUTHORS COPYING ChangeLog INSTALL NEWS README TODO"
+
+# Other configure arguments
+[[OTHER CONFIGURE ARGS]]="--enable-quicktime --sysconfdir=/etc --with-docdir=/usr/doc/$PACKAGE-$VERSION"
+
+# SlackBuild model
+[[SLACKBUILD MODEL]]="generic.mkSlackBuild"
+
+# SlackBuild PATH in Slack.Sarava tree
+[[SLACKBUILD PATH]]="media/video/kino"
+
+#
+# Dependency list input
+[[SLACK REQUIRED]]="libsamplerate: libraw1394: libavc1394: libdv: libiec61883: libquicktime"
+
+#---------------------
+# SlackBuild Sections
+#---------------------
+# Default sections:
+# head, set_variables, slkflags, start_structure, untar_source,
+# make_package, install_package, build_package
+# Warning: don't remove '#>>' and "#<<" tags.
+#>> Start SlackBuild Sections:
+ on: head
+ on: slackbuildrc
+ on: set_variables
+ on: slkflags
+ on: error_codes
+ on: start_structure
+off: create_build_user_and_group
+ on: download_source
+off: md5sum_download_and_check_0
+off: md5sum_download_and_check_1
+off: gpg_signature_check
+ on: untar_source
+ on: patch_source
+ on: configure
+ on: make_package
+ on: install_package
+ on: strip_binaries
+off: compress_manpages
+off: compress_info_files
+off: copy_init_scripts
+ on: install_documentation
+ on: slackdesc
+off: move_config_files
+off: postinstall_script
+ on: build_package
+ on: clean_builds
+#<< End SlackBuild Sections
+
+#------------------
+# Sections changes
+#------------------
+#>slackdesc
+kino: kino (Kino is a non-linear DV editor for GNU/Linux)
+kino:
+kino: Kino is a non-linear DV editor for GNU/Linux. It features excellent
+kino: integration with IEEE-1394 for capture, VTR control, and recording
+kino: back to the camera. It captures video to disk in Raw DV and AVI
+kino: format, in both type-1 DV and type-2 DV (separate audio stream)
+kino: encodings.
+kino:
+kino:
+kino: http://www.kinodv.org/
+kino:
+#<slackdesc
diff --git a/media/video/mjpegtools/mjpegtools-1.8.0-powerpc.diff b/media/video/mjpegtools/mjpegtools-1.8.0-powerpc.diff
new file mode 100644
index 0000000..6036b1d
--- /dev/null
+++ b/media/video/mjpegtools/mjpegtools-1.8.0-powerpc.diff
@@ -0,0 +1,11 @@
+--- configure.orig 2006-10-17 07:55:24.000000000 +0000
++++ configure 2006-10-17 07:56:56.000000000 +0000
+@@ -27077,6 +27077,8 @@
+ fi
+ rm -f conftest*;
+
++have_altivec=false
++
+ if test x$have_altivec = xtrue
+ then
+ CFLAGS="$CFLAGS ${ALTIVEC_CFLAGS}"
diff --git a/media/video/mjpegtools/mjpegtools-1.8.0.diff b/media/video/mjpegtools/mjpegtools-1.8.0.diff
new file mode 100644
index 0000000..928fa4c
--- /dev/null
+++ b/media/video/mjpegtools/mjpegtools-1.8.0.diff
@@ -0,0 +1,11 @@
+--- lavtools/lav_io.c.orig 2006-10-18 17:15:20.000000000 -0200
++++ lavtools/lav_io.c 2006-10-18 17:17:54.000000000 -0200
+@@ -1367,7 +1367,7 @@
+ break;
+ #ifdef HAVE_LIBQUICKTIME
+ case 'q':
+- res = fileno(((quicktime_t *)lav_file->qt_fd)->stream);
++ res = lqt_fileno((quicktime_t *)lav_file->qt_fd);
+ break;
+ #endif
+ default:
diff --git a/media/video/mjpegtools/mjpegtools-1.9.0rc2-x86_64.diff b/media/video/mjpegtools/mjpegtools-1.9.0rc2-x86_64.diff
new file mode 100644
index 0000000..0b834df
--- /dev/null
+++ b/media/video/mjpegtools/mjpegtools-1.9.0rc2-x86_64.diff
@@ -0,0 +1,31 @@
+--- configure.ac.old 2007-09-27 05:53:17.000000000 +0000
++++ configure.ac 2007-09-27 05:56:20.000000000 +0000
+@@ -431,25 +431,9 @@
+ dnl file).
+
+ if test x$have_x86cpu = xtrue -o x$have_ppccpu = xtrue; then
+- if test x$host_alias != x; then
+- dnl This is to allow cross compiling
+- AC_MSG_CHECKING(sub-architecture settings)
+- if test x$have_x86cpu = xtrue; then
+- host_mod_cpu=`echo $host_cpu | tr _ -`
+- ARCHFLAGS="-march=$host_mod_cpu -mcpu=$host_mod_cpu"
+- fi
+- else
+- if test ! -r $srcdir/cpuinfo.sh; then
+- AC_MSG_ERROR([cpuinfo.sh script not found - do a cvs update])
+- fi
+- AC_MSG_CHECKING(sub-architecture settings)
+- chmod +x $srcdir/cpuinfo.sh
+- if test x$have_x86cpu = xtrue; then
+- ARCHFLAGS=`$srcdir/cpuinfo.sh x86`
+- elif test x$have_ppccpu = xtrue; then
+- ARCHFLAGS=`$srcdir/cpuinfo.sh ppc`
+- fi
+- fi
++ AC_MSG_CHECKING(sub-architecture settings)
++ host_mod_cpu=`echo $host_cpu | tr _ -`
++ ARCHFLAGS="-march=$host_mod_cpu -mcpu=$host_mod_cpu"
+ AC_MSG_RESULT($ARCHFLAGS)
+ fi
+
diff --git a/media/video/mjpegtools/mjpegtools.mkbuild b/media/video/mjpegtools/mjpegtools.mkbuild
new file mode 100644
index 0000000..b40a4dc
--- /dev/null
+++ b/media/video/mjpegtools/mjpegtools.mkbuild
@@ -0,0 +1,119 @@
+#
+# This mkbuild is free software; you can redistribute it and/or modify it under the
+# terms of the GNU General Public License as published by the Free Software
+# Foundation; either version 2 of the License, or any later version.
+#
+# This mkbuild is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place - Suite 330, Boston, MA 02111-1307, USA
+#
+
+#--------------------
+# Personal variables
+#--------------------
+# Author name
+[[SLACKBUILD AUTHOR]]="Silvio Rhatto"
+
+# Initials author name
+[[SLACKBUILD AUTHOR INITIALS]]="rha"
+
+#------------------------
+# Construction Variables
+#------------------------
+#
+# Complete URL address or URL base address ( without $SRC_NAME-$VERSION... )
+[[DOWNLOAD FOLDER URL]]="http://downloads.sourceforge.net/mjpeg/mjpegtools-1.9.0rc3.tar.gz"
+
+#
+# Documentation files. Null ("") to auto-set commom doc-files:
+[[DOCUMENTATION FILES]]="AUTHORS BUGS CHANGES COPYING ChangeLog INSTALL NEWS PLANS README TODO"
+
+# Other configure arguments
+#
+# - Add --enable-runtime-cpudetection for package creation!
+# - Removing ivtv as for slack 12.1 it`s not compiling.
+[[OTHER CONFIGURE ARGS]]="--with-docdir=/usr/doc/$PKG_NAME-$VERSION"
+
+# SlackBuild model
+[[SLACKBUILD MODEL]]="generic.mkSlackBuild"
+
+# SlackBuild PATH in Slack.Sarava tree
+[[SLACKBUILD PATH]]="media/video/mjpegtools"
+
+#
+# Dependency list input
+[[SLACK REQUIRED]]="libdv: libquicktime"
+
+#---------------------
+# SlackBuild Sections
+#---------------------
+# Default sections:
+# head, set_variables, slkflags, start_structure, untar_source,
+# make_package, install_package, build_package
+# Warning: don't remove '#>>' and "#<<" tags.
+#>> Start SlackBuild Sections:
+ on: head
+ on: slackbuildrc
+ on: set_variables
+ on: slkflags
+ on: error_codes
+ on: start_structure
+off: create_build_user_and_group
+ on: download_source
+off: md5sum_download_and_check_0
+off: md5sum_download_and_check_1
+off: gpg_signature_check
+ on: untar_source
+ on: patch_source
+ on: configure
+ on: make_package
+ on: install_package
+ on: strip_binaries
+off: compress_manpages
+off: compress_info_files
+off: copy_init_scripts
+ on: install_documentation
+ on: slackdesc
+off: move_config_files
+off: postinstall_script
+ on: build_package
+ on: clean_builds
+#<< End SlackBuild Sections
+
+#------------------
+# Sections changes
+#------------------
+#>slackdesc
+mjpegtools: mjpegtools (mjpegtools is a set of softwares for MPEG A/V)
+mjpegtools:
+mjpegtools: The mjpeg programs are a set of tools that can do recording of videos
+mjpegtools: and playback, simple cut-and-paste editing and the MPEG compression
+mjpegtools: of audio and video under Linux.
+mjpegtools:
+mjpegtools:
+mjpegtools:
+mjpegtools:
+mjpegtools: http://mjpeg.sourceforge.net/
+mjpegtools:
+#<slackdesc
+
+#p>
+ LIBDIR="$PREFIX/lib"
++
++if [ "$ARCH" == "i386" ] || [ "$ARCH" == "i486" ]; then
++ CONF_OPTIONS="$CONF_OPTIONS --disable-simd-accel"
++fi
+#p<
+
+#>configure
+# Configure
+autoreconf -vif
+CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
+#<configure
diff --git a/media/video/mplayer/MPlayer-1.0rc1.diff b/media/video/mplayer/MPlayer-1.0rc1.diff
new file mode 100644
index 0000000..c9f53a8
--- /dev/null
+++ b/media/video/mplayer/MPlayer-1.0rc1.diff
@@ -0,0 +1,31 @@
+Index: stream/stream_cddb.c
+===================================================================
+--- stream/stream_cddb.c (revision 20381)
++++ stream/stream_cddb.c (working copy)
+@@ -435,7 +435,7 @@
+
+ switch(status) {
+ case 210:
+- ret = sscanf( http_hdr->body, "%d %s %08lx", &status, category, &disc_id);
++ ret = sscanf( http_hdr->body, "%d %99s %08lx", &status, category, &disc_id);
+ if( ret!=3 ) {
+ mp_msg(MSGT_DEMUX, MSGL_ERR, MSGTR_ParseError);
+ return -1;
+@@ -496,7 +496,7 @@
+ ptr++;
+ // We have a list of exact/inexact matches, so which one do we use?
+ // So let's take the first one.
+- ret = sscanf(ptr, "%s %08lx %s", cddb_data->category, &(cddb_data->disc_id), album_title);
++ ret = sscanf(ptr, "%99s %08lx %99s", cddb_data->category, &(cddb_data->disc_id), album_title);
+ if( ret!=3 ) {
+ mp_msg(MSGT_DEMUX, MSGL_ERR, MSGTR_ParseError);
+ return -1;
+@@ -533,7 +533,7 @@
+ switch(status) {
+ case 200:
+ // Found exact match
+- ret = sscanf(http_hdr->body, "%d %s %08lx %s", &status, cddb_data->category, &(cddb_data->disc_id), album_title);
++ ret = sscanf(http_hdr->body, "%d %99s %08lx %99s", &status, cddb_data->category, &(cddb_data->disc_id), album_title);
+ if( ret!=4 ) {
+ mp_msg(MSGT_DEMUX, MSGL_ERR, MSGTR_ParseError);
+ return -1;
diff --git a/media/video/mplayer/MPlayer.mkbuild b/media/video/mplayer/MPlayer.mkbuild
new file mode 100644
index 0000000..363a341
--- /dev/null
+++ b/media/video/mplayer/MPlayer.mkbuild
@@ -0,0 +1,142 @@
+#
+# This mkbuild is free software; you can redistribute it and/or modify it under the
+# terms of the GNU General Public License as published by the Free Software
+# Foundation; either version 2 of the License, or any later version.
+#
+# This mkbuild is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place - Suite 330, Boston, MA 02111-1307, USA
+#
+
+#--------------------
+# Personal variables
+#--------------------
+# Author name
+[[SLACKBUILD AUTHOR]]="Silvio Rhatto"
+
+# Initials author name
+[[SLACKBUILD AUTHOR INITIALS]]="rha"
+
+#------------------------
+# Construction Variables
+#------------------------
+#
+# Complete URL address or URL base address ( without $SRC_NAME-$VERSION... )
+[[DOWNLOAD FOLDER URL]]="http://www1.mplayerhq.hu/MPlayer/releases/MPlayer-1.0rc2.tar.bz2"
+
+#
+# Documentation files. Null ("") to auto-set commom doc-files:
+[[DOCUMENTATION FILES]]="AUTHORS ChangeLog Copyright DOCS LICENSE README TOOLS"
+
+# Other configure arguments
+#
+# - Add --enable-runtime-cpudetection for package creation!
+# - Removing ivtv as for slack 12.1 it`s not compiling.
+[[OTHER CONFIGURE ARGS]]="--disable-ivtv --confdir=/etc --language=pt_BR --enable-largefiles --enable-gui --enable-real"
+
+# SlackBuild model
+[[SLACKBUILD MODEL]]="generic.mkSlackBuild"
+
+# SlackBuild PATH in Slack.Sarava tree
+[[SLACKBUILD PATH]]="media/video/mplayer"
+
+#
+# Dependency list input
+[[SLACK REQUIRED]]="speex: jack: libx264: faac: faad2"
+
+#---------------------
+# SlackBuild Sections
+#---------------------
+# Default sections:
+# head, set_variables, slkflags, start_structure, untar_source,
+# make_package, install_package, build_package
+# Warning: don't remove '#>>' and "#<<" tags.
+#>> Start SlackBuild Sections:
+ on: head
+ on: slackbuildrc
+ on: set_variables
+ on: slkflags
+ on: error_codes
+ on: start_structure
+off: create_build_user_and_group
+ on: download_source
+off: md5sum_download_and_check_0
+off: md5sum_download_and_check_1
+off: gpg_signature_check
+ on: untar_source
+ on: patch_source
+ on: configure
+ on: make_package
+ on: install_package
+ on: strip_binaries
+off: compress_manpages
+off: compress_info_files
+off: copy_init_scripts
+ on: install_documentation
+ on: slackdesc
+off: move_config_files
+off: postinstall_script
+ on: build_package
+ on: clean_builds
+#<< End SlackBuild Sections
+
+#------------------
+# Sections changes
+#------------------
+#>slackdesc
+MPlayer: MPlayer (A Movie Player)
+MPlayer:
+MPlayer: MPlayer is a movie and animation player that supports a wide range
+MPlayer: of codecs and file formats, including MPEG 1/2/4, DivX 3/4/5, Windows
+MPlayer: Media 7/8/9, RealAudio/Video up to 9, Quicktime 5/6, and Vivo 1/2.
+MPlayer: It has many MMX/SSE(2)/3Dnow(Ex) optimized native audio and video
+MPlayer: codecs, but allows using XAnim's and RealPlayer's binary codec plugins,
+MPlayer: and Win32 codec DLLs. It has basic VCD/DVD playback functionality,
+MPlayer: including DVD subtitles, but supports many text-based subtitle formats
+MPlayer: too. For video output, nearly every existing interface is supported.
+MPlayer:
+#<slackdesc
+
+#>download_source
+# Dowload source if necessary
+SRC="[[SOURCE NAME CONSTRUCTION STRING]]"
+URL="[[DOWNLOAD FOLDER URL]]/$SRC"
+
+if [ ! -s "$SRC_DIR/$SRC" ] || ! [[DECOMPRESSOR]] [[DECOMPRESSOR TEST FLAG]] "$SRC_DIR/$SRC" 2> /dev/null; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+# Download skin
+SKIN="Blue"
+SKIN_VERSION="1.7"
+SKIN_EXT="bz2"
+SKIN_SRC=${PACKAGE_SKIN:=$SKIN-$SKIN_VERSION.tar.$SKIN_EXT}
+SKIN_URL="http://www.mplayerhq.hu/MPlayer/skins/$SKIN_SRC"
+
+if [ ! -s "$SRC_DIR/$SKIN_SRC" ] || ! [[DECOMPRESSOR]] [[DECOMPRESSOR TEST FLAG]] "$SRC_DIR/$SKIN_SRC" 2> /dev/null; then
+ wget "$SKIN_URL" -O "$SRC_DIR/$SKIN_SRC" || exit $ERROR_WGET
+fi
+#<download_source
+
+#>install_package
+# Install
+make install DESTDIR="$PKG" || exit $ERROR_INSTALL
+
+# Skin installation
+SKIN_DIR=${SKIN_DIR:=$PKG/usr/share/mplayer/skins}
+mkdir -p $SKIN_DIR
+tar jxvf $SRC_DIR/$SKIN_SRC -C $SKIN_DIR
+mv $SKIN_DIR/$SKIN $SKIN_DIR/default
+#<install_package
+
+#p>
+ LIBDIR="$PREFIX/lib"
++
++if [ "$ARCH" == "i586" ] || [ "$ARCH" == "i686" ]; then
++ CONF_OPTIONS="$CONF_OPTIONS --enable-qtx"
++fi
+#p<
diff --git a/media/video/oggfwd/oggfwd-0.2.diff b/media/video/oggfwd/oggfwd-0.2.diff
new file mode 100644
index 0000000..d385874
--- /dev/null
+++ b/media/video/oggfwd/oggfwd-0.2.diff
@@ -0,0 +1,25 @@
+--- Makefile.orig 2006-10-30 22:04:46.000000000 -0200
++++ Makefile 2006-10-30 22:04:28.000000000 -0200
+@@ -2,7 +2,7 @@
+ SRC = oggfwd.c
+ MAN = oggfwd.1
+
+-PREFIX ?= /usr/local
++PREFIX ?= /usr
+ BINDIR ?= ${PREFIX}/bin
+ MAN1DIR ?= ${PREFIX}/man/man1
+
+@@ -23,9 +23,10 @@
+ ${CC} ${CFLAGS} ${PTHREADFLAGS} ${INCLUDEFLAGS} ${LINKFLAGS} -o ${PROG} $<
+
+ install: ${PROG}
+- ${INSTALL} -c -m 555 -o root -g bin ${PROG} ${BINDIR}
+- test -d ${MAN1DIR} || ${INSTALL} -d -o root ${MAN1DIR}
+- ${INSTALL} -c -m 444 -o root -g bin ${MAN} ${MAN1DIR}
++ test -d ${DESTDIR}${BINDIR} || ${INSTALL} -d -o root ${DESTDIR}${BINDIR}
++ ${INSTALL} -c -m 555 -o root -g bin ${PROG} ${DESTDIR}${BINDIR}
++ test -d ${DESTDIR}${MAN1DIR} || ${INSTALL} -d -o root ${DESTDIR}${MAN1DIR}
++ ${INSTALL} -c -m 444 -o root -g bin ${MAN} ${DESTDIR}${MAN1DIR}
+
+ clean:
+ -@rm -f ${PROG} *~ core *.core
diff --git a/media/video/oggfwd/oggfwd.mkbuild b/media/video/oggfwd/oggfwd.mkbuild
new file mode 100644
index 0000000..6613731
--- /dev/null
+++ b/media/video/oggfwd/oggfwd.mkbuild
@@ -0,0 +1,98 @@
+#
+# This mkbuild is free software; you can redistribute it and/or modify it under the
+# terms of the GNU General Public License as published by the Free Software
+# Foundation; either version 2 of the License, or any later version.
+#
+# This mkbuild is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place - Suite 330, Boston, MA 02111-1307, USA
+#
+
+#--------------------
+# Personal variables
+#--------------------
+# Author name
+[[SLACKBUILD AUTHOR]]="Silvio Rhatto"
+
+# Initials author name
+[[SLACKBUILD AUTHOR INITIALS]]="rha"
+
+#------------------------
+# Construction Variables
+#------------------------
+#
+# Complete URL address or URL base address ( without $SRC_NAME-$VERSION... )
+[[DOWNLOAD FOLDER URL]]="http://juba.tvlivre.org/oggfwd-0.2.tar.gz"
+
+#
+# Documentation files. Null ("") to auto-set commom doc-files:
+[[DOCUMENTATION FILES]]="ChangeLog README"
+
+# SlackBuild model
+[[SLACKBUILD MODEL]]="generic.mkSlackBuild"
+
+# SlackBuild PATH in Slack.Sarava tree
+[[SLACKBUILD PATH]]="media/video/oggfwd"
+
+# Dependencies
+[[SLACK REQUIRED]]="speex: libshout"
+
+# Patch depth
+[[NUMBER OF PREFIX SLASHES TO STRIP]]="0"
+
+#---------------------
+# SlackBuild Sections
+#---------------------
+# Default sections:
+# head, set_variables, slkflags, start_structure, untar_source,
+# make_package, install_package, build_package
+# Warning: don't remove '#>>' and "#<<" tags.
+#>> Start SlackBuild Sections:
+ on: head
+ on: slackbuildrc
+ on: set_variables
+ on: slkflags
+ on: error_codes
+ on: start_structure
+off: create_build_user_and_group
+ on: download_source
+off: md5sum_download_and_check_0
+off: md5sum_download_and_check_1
+off: gpg_signature_check
+ on: untar_source
+ on: patch_source
+off: configure
+ on: make_package
+ on: install_package
+ on: strip_binaries
+off: compress_manpages
+off: compress_info_files
+off: copy_init_scripts
+ on: install_documentation
+ on: slackdesc
+off: move_config_files
+off: postinstall_script
+ on: build_package
+ on: clean_builds
+#<< End SlackBuild Sections
+
+#------------------
+# Sections changes
+#------------------
+#>slackdesc
+oggfwd: OggFWD (a simple ogg streamer)
+oggfwd:
+oggfwd: A simple ogg streamer (to icecast compatible servers), very useful
+oggfwd: for video streaming.
+oggfwd:
+oggfwd:
+oggfwd:
+oggfwd:
+oggfwd:
+oggfwd: http://v2v.cc/~j/oggfwd/
+oggfwd:
+#<slackdesc
diff --git a/media/video/theorur/theorur.mkbuild b/media/video/theorur/theorur.mkbuild
new file mode 100644
index 0000000..7a6a348
--- /dev/null
+++ b/media/video/theorur/theorur.mkbuild
@@ -0,0 +1,90 @@
+#
+# This mkbuild is free software; you can redistribute it and/or modify it under the
+# terms of the GNU General Public License as published by the Free Software
+# Foundation; either version 2 of the License, or any later version.
+#
+# This mkbuild is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place - Suite 330, Boston, MA 02111-1307, USA
+#
+
+#--------------------
+# Personal variables
+#--------------------
+# Author name
+[[SLACKBUILD AUTHOR]]="Silvio Rhatto"
+
+# Initials author name
+[[SLACKBUILD AUTHOR INITIALS]]="rha"
+
+#------------------------
+# Construction Variables
+#------------------------
+#
+# Complete URL address or URL base address ( without $SRC_NAME-$VERSION... )
+[[DOWNLOAD FOLDER URL]]="http://theorur.tvlivre.org/theorur-0.5.3.tar.gz"
+
+[[OTHER CONFIGURE ARGS]]="--sysconfdir=/etc"
+
+# SlackBuild model
+[[SLACKBUILD MODEL]]="generic.mkSlackBuild"
+
+# SlackBuild PATH in Slack.Sarava tree
+[[SLACKBUILD PATH]]="media/video/theorur"
+
+# Dependencies
+[[SLACK REQUIRED]]="dvgrab: ffmpeg2theora: oggfwd"
+
+#---------------------
+# SlackBuild Sections
+#---------------------
+# Default sections:
+# head, set_variables, slkflags, start_structure, untar_source,
+# make_package, install_package, build_package
+# Warning: don't remove '#>>' and "#<<" tags.
+#>> Start SlackBuild Sections:
+ on: head
+ on: slackbuildrc
+ on: set_variables
+ on: slkflags
+ on: error_codes
+ on: start_structure
+off: create_build_user_and_group
+ on: download_source
+off: md5sum_download_and_check_0
+off: md5sum_download_and_check_1
+off: gpg_signature_check
+ on: untar_source
+off: patch_source
+ on: configure
+ on: make_package
+ on: install_package
+off: strip_binaries
+off: compress_manpages
+off: compress_info_files
+off: copy_init_scripts
+off: install_documentation
+off: slackdesc
+off: move_config_files
+off: postinstall_script
+ on: build_package
+ on: clean_builds
+#<< End SlackBuild Sections
+
+#------------------
+# Sections changes
+#------------------
+#>install_package
+# Install
+strip theorur
+make make_pkg
+#<install_package
+
+#>build_package
+# Build the package
+mv *-1rd.tgz $REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+#<build_package
diff --git a/media/video/ucview/slack-required b/media/video/ucview/slack-required
new file mode 100644
index 0000000..481322f
--- /dev/null
+++ b/media/video/ucview/slack-required
@@ -0,0 +1,3 @@
+unicap
+GConf
+dbus
diff --git a/media/video/ucview/ucview.mkbuild b/media/video/ucview/ucview.mkbuild
new file mode 100644
index 0000000..fe62aa8
--- /dev/null
+++ b/media/video/ucview/ucview.mkbuild
@@ -0,0 +1,169 @@
+#################################################################
+## Generic template for Mkbuild
+##
+## Version 0.9.0 - Alves ( rudsonalves at yahoo d0t com d0t br )
+#################################################################
+#--------------------
+# Personal variables
+#--------------------
+# Author name
+[[SLACKBUILD AUTHOR]]="Rafael Diniz"
+
+# Initials author name
+[[SLACKBUILD AUTHOR INITIALS]]="rd"
+
+#------------------------
+# Construction Variables
+#------------------------
+#
+# Complete URL address or URL base address ( without $SRC_NAME-$VERSION... )
+[[DOWNLOAD FOLDER URL]]="http://unicap-imaging.org/downloads/ucview-0.20.1.tar.gz"
+
+# Source base name. if different from package name. Null ("") to default value.
+# Auto-set, get SRC_NAME from URL: http://.../$SRC_NAME-$VERSION.tar.$EXTENSION'
+[[SOURCE NAME]]=""
+
+# Package name. Null ("") to auto-set
+# Auto-set, get PKG_NAME from URL downcase(SRC_NAME): http://.../$SRC_NAME-$VERSION.tar.$EXTENSION'
+[[PACKAGE NAME]]=""
+
+#
+# Package default ARCH
+# Default set is i486
+[[ARCH]]=""
+
+#
+# Package version. Null ("") to auto-set.
+# Auto-set, get VERSION from URL: http://.../$SRC_NAME-$VERSION.tar.$EXTENSION'
+[[VERSION]]=""
+
+#
+# Package extension. Null ("") to auto-set
+# Auto-set, get EXTENSION from URL: http://.../$SRC_NAME-$VERSION.tar.$EXTENSION'
+[[EXTENSION]]=""
+
+#
+# Build number.
+# Auto-set to default 1
+[[BUILD NUMBER]]=""
+
+#
+# Source Name construction string
+# Default value is: $SRC_NAME-$VERSION.tar.$EXTENSION
+[[SOURCE NAME CONSTRUCTION STRING]]="$SRC_NAME-$VERSION.tar.$EXTENSION"
+
+#
+# Unpacker programa ("") to auto-set. Default "tar"
+# Unpacke Flags ("") to auto-set. Default flags to tar "--no-same-owner --no-same-permissions -xvf"
+[[UNPACKER]]=""
+[[UNPACKER FLAGS]]=""
+
+#
+# Dependency list input
+# Enter string: "dependency_1 [condiction_1] [versio_1]: dependency_2 [condiction_2] [versio_2]"
+# Example:
+[[SLACK REQUIRED]]=""
+
+#
+# Decompress program
+# gz, tgz, bz2, set null ("") to auto-set
+# Auto-set, get DECOMPRESSOR from URL EXTENSION: http://.../$SRC_NAME-$VERSION.tar.$EXTENSION'
+[[DECOMPRESSOR]]=""
+
+#
+# Decompress check flag
+# gz, tgz, bz2, set null ("") to auto-set
+[[DECOMPRESSOR TEST FLAG]]=""
+
+#
+# Documentation files. Null ("") to auto-set commom doc-files:
+# NEWS TODO README AUTHORS INSTALL ChangeLog MAINTAINERS COPYING readme.*
+[[DOCUMENTATION FILES]]=""
+
+#
+# ./configure options
+[[OTHER CONFIGURE ARGS]]=""
+
+#
+# PREFIX. Default /usr
+[[PREFIX]]="/usr"
+
+#
+# Number of jobs
+[[NUMBER OF JOBS]]="-j3"
+
+#---------------------
+# Others changes
+#---------------------
+#[[MD5SUM CODE]]=""
+#[[MD5SUM EXTENSION]]=""
+#[[SIGNING KEY]]=""
+#[[SIGNING KEY URL]]=""
+#[[SIGNING KEY ID]]=""
+#[[SIGNING URL]]=""
+#[[CONFIG FILES]]=""
+#[[PATCH URLS]]=""
+[[PATCH FILES]]=""
+[[NUMBER OF PREFIX SLASHES TO STRIP]]="1"
+
+# SlackBuild model
+[[SLACKBUILD MODEL]]="generic.mkSlackBuild"
+
+# SlackBuild PATH in Slack.Sarava tree
+#[[SLACKBUILD PATH]]="others/unclassified/[[PKG NAME]]"
+[[SLACKBUILD PATH]]="media/video/ucview"
+
+#---------------------
+# SlackBuild Sections
+#---------------------
+# Default sections:
+# head, set_variables, slkflags, start_structure, untar_source,
+# make_package, install_package, build_package
+# Warning: don't remove '#>>' and "#<<" tags.
+#>> Start SlackBuild Sections:
+ on: head
+ on: slackbuildrc
+ on: set_variables
+ on: slkflags
+ on: error_codes
+ on: start_structure
+off: create_build_user_and_group
+ on: download_source
+off: svn_source
+off: md5sum_download_and_check_0
+off: md5sum_download_and_check_1
+off: gpg_signature_check
+ on: untar_source
+off: patch_source
+ on: configure
+ on: make_package
+ on: install_package
+ on: strip_binaries
+off: compress_manpages
+off: compress_info_files
+off: copy_init_scripts
+off: copy_config_files
+ on: install_documentation
+ on: slackdesc
+off: move_config_files
+off: postinstall_script
+ on: build_package
+ on: clean_builds
+#<< End SlackBuild Sections
+
+#------------------
+# Sections changes
+#------------------
+#>slackdesc
+ucview: ucview (video capture program)
+ucview:
+ucview: UCView is a video capture and display program
+ucview: based on the unicap video imaging library.
+ucview:
+ucview:
+ucview:
+ucview:
+ucview:
+ucview: http://unicap-imaging.org/ucview.htm
+ucview:
+#<slackdesc